<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="cn.m4399.operate.samples">

    <application
        android:allowBackup="false"
        android:icon="@mipmap/demo_ic_launcher"
        android:label="@string/sdk_display_name"
        android:roundIcon="@mipmap/demo_ic_launcher_round"
        android:supportsRtl="true"
        tools:ignore="UnusedAttribute">

        <!-- 游戏 Activity 也应该配置 android:configChanges="orientation|screenSize|keyboardHidden" -->
        <activity
            android:name=".MainActivity"
            android:configChanges="orientation|keyboardHidden|navigation|screenSize"
            android:theme="@style/AppTheme">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>

        <!--
            4399 运营SDK：以下是FileProvider配置，以兼容7.0+文件访问权限变更

            注意其中的固定格式： android:authorities="游戏包名.operate.FileProvider"
            以及，android:resource="@xml/m4399_ope_file_paths"
         -->
        <provider
            android:name="cn.m4399.operate.OpeFileProvider"
            android:authorities="cn.m4399.operate.samples.operate.FileProvider"
            android:exported="false"
            android:grantUriPermissions="true">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/m4399_ope_file_paths" />
        </provider>
    </application>
</manifest>